## owncloud-apps 0~~20141022

=== music/build/Makefile ===
#
# ownCloud scaffolder tool
#
# Copyright (C) 2013 Bernhard Posselt, <nukewhale@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Makefile for building the project

# common directories
grunt_dir=$(CURDIR)/node_modules/grunt-cli/bin/grunt
gruntfile_dir=$(CURDIR)/Gruntfile.js

# building the javascript
build: deps
	$(grunt_dir) --config $(gruntfile_dir) build

watch: build
	$(grunt_dir) --config $(gruntfile_dir) watch:concat

# general
deps:
	npm install --deps

l10n-extract: deps
	$(grunt_dir) --config $(gruntfile_dir) nggettext_extract

l10n-compile: deps
	$(grunt_dir) --config $(gruntfile_dir) nggettext_compile
	cd ../l10n; ./l10n.pl music write

=== debian/changelog ===
owncloud-apps (0~~20141022-1) unstable; urgency=medium

  * Ship:
    - files_antivirus, version 0.6 as of v7.0.3RC1 (updated)
    - music, version 0.3.4 (no changes)
    - tasks_enhanced, version 0.4.1 (no changes)

 -- David Prévot <taffit@debian.org>  Thu, 23 Oct 2014 20:57:45 -0400

owncloud-apps (0~~20141008-1) unstable; urgency=medium

  * Fix section as web
  * Update copyright
  * Bump standards version to 3.9.6
  * Ship:
    - files_antivirus, version 0.6 as of v7.0.2 (no changes)
    - music, version 0.3.4 (updated)
    - tasks_enhanced, version 0.4.1 (no changes)

 -- David Prévot <taffit@debian.org>  Wed, 08 Oct 2014 13:03:43 -0400

owncloud-apps (0~~20140726-1) unstable; urgency=medium

  * Initial release (Closes: #757003)
  * Ship:
    - files_antivirus, version 0.6 as of v7.0.1
    - music, version 0.2
    - tasks_enhanced, version 0.4.1

 -- David Prévot <taffit@debian.org>  Tue, 05 Aug 2014 14:26:30 -0400

=== debian/control ===
Source: owncloud-apps
Section: web
Priority: extra
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9), node-uglify
Standards-Version: 3.9.6
Homepage: http://apps.owncloud.com/
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud-apps.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud-apps.git

Package: owncloud-apps
Architecture: all
Depends: libjs-angularjs, libjs-underscore, owncloud, ${misc:Depends}
Recommends: clamav | clamav-daemon,
Enhances: owncloud
Description: third party applications for ownCloud
 ownCloud gives you universal access to your files through a web interface
 or WebDAV. It also provides a platform to easily view and sync your
 contacts, calendars and bookmarks across all your devices and enables
 basic editing right on the web.
 .
 This package provides additional applications that are not shipped with
 ownCloud anymore:
  * Antivirus
  * Music
  * Tasks (Enhanced)

=== debian/rules ===
#!/usr/bin/make -f

INSTALLPATH = debian/owncloud-apps/usr/share/owncloud/apps/

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	find	$(INSTALLPATH) -executable -type f | xargs chmod -x

override_dh_install:
	dh_install \
		-X3rdparty \
		-Xangularjs -Xangular-route -XAUTHORS \
		-Xbower -Xbuild \
		-XCHANGELOG -XCOPYING \
		-Xdebian -Xeditorconfig -Xjs/app \
		-Xl10n.pl -XLICENSE -Xlicense \
		-XMakefile -Xmd5 \
		-Xphpunit -XREADME \
		-Xstable5 -Xstable6 -Xtests \
		-X.coffee -X.git -X.json -X.map -X.md -X.yml

	# Remove unused sources
	find	$(INSTALLPATH)*/l10n -mindepth 1 -type d | xargs rm -r
	rm -r	$(INSTALLPATH)music/js/vendor/angular

	# Minify JavaScript files
	rm	$(INSTALLPATH)music/js/vendor/angular-gettext/dist/angular-gettext.min.js \
		$(INSTALLPATH)music/js/vendor/restangular/dist/restangular.min.js \
		$(INSTALLPATH)music/js/vendor/soundmanager/script/soundmanager2-jsmin.js \
		$(INSTALLPATH)music/js/vendor/soundmanager/script/soundmanager2-nodebug-jsmin.js \
		$(INSTALLPATH)tasks_enhanced/js/vendor/bootstrap/ui-bootstrap-custom-tpls-0.10.0.min.js \
		$(INSTALLPATH)tasks_enhanced/js/vendor/momentjs/moment.min.js

	uglifyjs -o \
		$(INSTALLPATH)music/js/vendor/angular-gettext/dist/angular-gettext.min.js \
		$(INSTALLPATH)music/js/vendor/angular-gettext/dist/angular-gettext.js
	uglifyjs -o \
		$(INSTALLPATH)music/js/vendor/restangular/dist/restangular.min.js \
		$(INSTALLPATH)music/js/vendor/restangular/dist/restangular.js
	uglifyjs -o \
		$(INSTALLPATH)music/js/vendor/soundmanager/script/soundmanager2-jsmin.js \
		$(INSTALLPATH)music/js/vendor/soundmanager/script/soundmanager2.js
	uglifyjs -o \
		$(INSTALLPATH)music/js/vendor/soundmanager/script/soundmanager2-nodebug-jsmin.js \
		$(INSTALLPATH)music/js/vendor/soundmanager/script/soundmanager2-nodebug.js
	uglifyjs -o \
		$(INSTALLPATH)tasks_enhanced/js/vendor/bootstrap/ui-bootstrap-custom-tpls-0.10.0.min.js \
		$(INSTALLPATH)tasks_enhanced/js/vendor/bootstrap/ui-bootstrap-custom-tpls-0.10.0.js
	uglifyjs -o \
		$(INSTALLPATH)tasks_enhanced/js/vendor/momentjs/moment.min.js \
		$(INSTALLPATH)tasks_enhanced/js/vendor/momentjs/moment.js

override_dh_installchangelogs:
	dh_installchangelogs music/CHANGELOG

override_dh_installdocs:
	mkdir debian/tmp
	head -n-0 */README.md > debian/tmp/README
	dh_installdocs

## owncloud-apps 0~7

=== debian/changelog ===
owncloud-apps (0~7) unstable; urgency=medium

  * Upload to unstable since Jessie has been released
  * Transform as a native metapackage, since owncloud-antivirus,
    owncloud-music and owncloud-tasks are now available on their own

 -- David Prévot <taffit@debian.org>  Fri, 10 Jul 2015 13:11:04 -0400

owncloud-apps (0~~20150216-1) experimental; urgency=medium

  * Ship:
    - files_antivirus, version 0.6 as of v7.0.5 (no changes)
    - music, version 0.3.5 (updated)
    - tasks, version 0.5 (no changes)

  [ Morris Jobke ]
  * Introduce command to drop gathered metadata
  * music app v0.3.5

 -- David Prévot <taffit@debian.org>  Sat, 21 Feb 2015 14:43:11 -0400

owncloud-apps (0~~20141110-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze
  * Adapt to new tasks path
  * Ship:
    - files_antivirus, version 0.6 as of v7.0.4 (updated)
    - music, version 0.3.4 (no changes)
    - tasks, version 0.5 (updated), formerly known as tasks_enhanced

 -- David Prévot <taffit@debian.org>  Thu, 18 Dec 2014 17:47:15 -0400

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: extra
 Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
-Build-Depends: debhelper (>= 9), node-uglify
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: http://apps.owncloud.com/
 Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud-apps.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud-apps.git
 
 Package: owncloud-apps
+Section: metapackages
 Architecture: all
-Depends: libjs-angularjs, libjs-underscore, owncloud, ${misc:Depends}
-Recommends: clamav | clamav-daemon,
+Depends: owncloud-antivirus, owncloud-music, owncloud-tasks, ${misc:Depends}
 Enhances: owncloud
 Description: third party applications for ownCloud
  ownCloud gives you universal access to your files through a web interface
